Subject: bug#29554: 25.3; 100% CPU spinning, while parsing compile output.

From: Noam Postavsky <[email-masked]>
Date: Mon, 04 Dec 2017 19:29:42 -0500

merge 29554 13369
quit

Sam Varshavchik <[email-masked]> writes:

> Attached is simple makefile with a bunch of echo statements that
> reproduce the output of an actual compilation. I had to gzip and
> attach it, in order to avoid the large lines getting messed up by
> E-mail formatting.
>
> Saving this makefile, and hitting F5, or executing "compile" makes
> emacs spin with 100% CPU utilization for about five seconds, before it
> starts responding again. Then, going to the compilation output buffer,
> and M-> to go the end of the buffer, that also pegs emacs for another
> 4-5 seconds, at 100% cpu.
>
> Yup, these are very long lines. But that's the end result from
> automake and libtool. This is the real world, when it comes to C++
> development these days...

This is Bug#13369/9065/3700.  You can get some relief by pruning
compilation-error-regexp-alist.